package cn.iocoder.yudao.module.pms.service;

import cn.iocoder.yudao.module.pms.controller.admin.vo.DeviceTdVO;
import cn.iocoder.yudao.module.pms.controller.admin.vo.DeviceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface IDeviceService {

    /**
     * 查询一段时间内的运行数据
     *
     * @param
     * @return 设备
     */
    List<DeviceVO> selectBySpan(DeviceVO deviceVO);

    /**
     *
     * @param deviceVO
     * @return
     * @description 不传时间，默认返回一条最新的数据
     */
    List<DeviceVO> selectNew(DeviceVO deviceVO);

    /**
     * 查询指定时间内的运行数据
     *
     * @param
     * @return 设备
     */
    List<DeviceVO> selectByTs(DeviceVO deviceVO);

    DeviceVO getYesInfo(DeviceVO deviceVO);

    List<DeviceTdVO> batchGetYesInfo(List<DeviceTdVO> queries);

}
